import inspect

from cerberus import Validator, DocumentError


def validate(schema, data):
    v = Validator(schema)
    if not v.validate(data):
        frame = inspect.currentframe().f_back
        caller_name = frame.f_code.co_name
        raise DocumentError(f'{caller_name}: failed to validate data: ' + v.errors)
